> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domsoftware.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Reservar Quantidade

> Gera uma alocação soft no estoque limitando a disponibilidade (vendas concorrentes), porém sem dar saída fiscal física do produto.

### Path

<ParamField path="productId" type="string" required>Idenfiticador do item catalogado.</ParamField>
<ParamField path="quantity" type="number" required>Volume numerário da reserva a ser retida.</ParamField>

### Response

<ResponseExample>
  ```json Response theme={null}
  {
    "message": "Estoque reservado com sucesso"
  }
  ```
</ResponseExample>


## OpenAPI

````yaml patch /inventory/product/{productId}/reserve/{quantity}
openapi: 3.0.0
info:
  title: Hub Marketplace API
  description: API for managing marketplace listings and keys
  version: '1.0'
  contact: {}
servers: []
security: []
tags:
  - name: listings
    description: ''
paths:
  /inventory/product/{productId}/reserve/{quantity}:
    patch:
      tags:
        - Inventory
      summary: Reservar estoque
      operationId: InventoryController_reserveStock
      parameters:
        - name: productId
          required: true
          in: path
          schema:
            format: uuid
            type: string
        - name: quantity
          required: true
          in: path
          schema:
            type: number
      responses:
        '200':
          description: Estoque reservado
      security:
        - bearer: []
components: {}

````